/*
    (C) 1995-96 AROS - The Amiga Replacement OS
    $Id: strcspn.c,v 1.1 1996/12/11 11:18:28 aros Exp $

    Desc: ANSI C function strcspn()
    Lang: english
*/

/*****************************************************************************

    NAME */
#include <string.h>

	size_t strcspn (

/*  SYNOPSIS */
	const char * str,
	const char * reject)

/*  FUNCTION
	Calculates the length of the initial segment of str which consists
	entirely of characters not in reject.

    INPUTS
	str - The string to check.
	reject - Characters which must not be in str.

    RESULT
	Length of the initial segment of str which doesn't contain any
	characters from reject.

    NOTES

    EXAMPLE
	char buffer[64];

	strcpy (buffer, "Hello ");

	// Returns 5
	strcspn (buffer, " ");

	// Returns 0
	strcspn (buffer, "H");

    BUGS

    SEE ALSO

    INTERNALS

    HISTORY
	11.12.1996 digulla created

******************************************************************************/
{
    size_t n;

    while (*str && !strchr (reject, *str))
    {
	str ++;
	n ++;
    }

    return n;
} /* strcspn */
