/*
    (C) 1995-96 AROS - The Amiga Replacement OS
    $Id: vscanf.c,v 1.1 1997/01/28 15:32:34 digulla Exp $

    Desc: Implementation of vscanf()
    Lang: english
*/

/*****************************************************************************

    NAME */
#include <stdio.h>
#include <stdarg.h>

	int vscanf (

/*  SYNOPSIS */
	const char * format,
	va_list      args)

/*  FUNCTION
	Scan the standard input and convert it into the arguments as
	specified by format.

    INPUTS
	format - A scanf() format string.
	args - A list of arguments for the results

    RESULT
	The number of converted parameters.

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO

    INTERNALS

    HISTORY
	06.12.1996 digulla created

******************************************************************************/
{
    return vfscanf (stdin, format, args);
} /* vscanf */

